package com.example.loginfromlocal;

import java.util.ArrayList;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;

import android.app.Activity;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.animation.Animation;
import android.view.animation.Animation.AnimationListener;
import android.view.animation.AnimationUtils;
import android.view.inputmethod.EditorInfo;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.TextView.OnEditorActionListener;
import android.widget.Toast;

public class LoginActivity extends Activity implements AnimationListener {
	Animation anim;
	private boolean isFacebookLoginEnabled, isGoogleLoginEnabled;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// TODO Auto-generated method stub
		super.onCreate(savedInstanceState);
		setContentView(R.layout.login);

		TextView facebookLogin = (TextView) findViewById(R.id.login_using_facebook);
		TextView or1=(TextView) findViewById(R.id.or1);
		
		TextView googleLogin = (TextView) findViewById(R.id.login_using_google);
		TextView or2=(TextView) findViewById(R.id.or2);
		
		// setting Facebook Login
		setFacebookLoginEnabled(false);
		if (isFacebookLoginEnabled == false) {
			facebookLogin.setVisibility(View.GONE);
			or1.setVisibility(View.GONE);
		}

		// setting Google Login
		setGoogleLoginEnabled(true);
		if (isGoogleLoginEnabled == false) {
			googleLogin.setVisibility(View.GONE);
			or2.setVisibility(View.GONE);
		}


		// Edit Text for username and password
		final EditText txtUserName = (EditText) findViewById(R.id.txtUsername);
		final EditText txtPassword = (EditText) findViewById(R.id.txtPassword);

		// set animation
		// to change animation change R.anim.bounce to R.anim.shake
		anim = AnimationUtils.loadAnimation(getApplicationContext(),
				R.anim.bounce);

		// login button
		Button btnLogin = (Button) findViewById(R.id.btnLogin);
		btnLogin.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				String username = txtUserName.getText().toString();
				String password = txtPassword.getText().toString();
				try {
					if (username.equals("")) {
						txtUserName.setError("Username is required");
						txtUserName.startAnimation(anim);
					}
					if (password.equals("")) {
						txtPassword.setError("Password is required");
						txtPassword.startAnimation(anim);
					}
					if (password.length() < 6) {
						txtPassword
								.setError("Password must be 6 character long");
						txtPassword.startAnimation(anim);

					}

				} catch (Exception e) {
					Toast.makeText(LoginActivity.this, e.getMessage(),
							Toast.LENGTH_LONG).show();
				}
				LoginASYNC login = new LoginASYNC();
				login.execute(new String[] { ServerUrl.BASE_URL });
			}

		});

		txtUserName.setOnEditorActionListener(new OnEditorActionListener() {
			@Override
			public boolean onEditorAction(TextView v, int actionId,
					KeyEvent event) {
				boolean handled = false;
				if (actionId == EditorInfo.IME_ACTION_SEND) {
					// do the login
					System.out.println("send uiser");
					Toast.makeText(LoginActivity.this, "login clicked",
							Toast.LENGTH_LONG).show();
					handled = true;
				}
				return handled;
			}
		});

		txtPassword.setOnEditorActionListener(new OnEditorActionListener() {
			@Override
			public boolean onEditorAction(TextView v, int actionId,
					KeyEvent event) {
				boolean handled = false;
				if (actionId == EditorInfo.IME_ACTION_SEND) {
					// do the login
					System.out.println("send pass ");
					Toast.makeText(LoginActivity.this, "login clicked",
							Toast.LENGTH_LONG).show();
					handled = true;
				}
				return handled;
			}
		});

		TextView forget = (TextView) findViewById(R.id.forget_password);
		forget.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				startActivity(new Intent(LoginActivity.this,
						Forget_Password.class));
			}
		});
	}

	@Override
	public void onAnimationEnd(Animation animation) {
		// TODO Auto-generated method stub

	}

	@Override
	public void onAnimationRepeat(Animation animation) {
		// TODO Auto-generated method stub

	}

	@Override
	public void onAnimationStart(Animation animation) {
		// TODO Auto-generated method stub

	}

	// set FacebookLogin enabled
	public void setFacebookLoginEnabled(boolean set) {
		isFacebookLoginEnabled = set;
	}

	// set GoogleLogin enabled
	public void setGoogleLoginEnabled(boolean set) {
		isGoogleLoginEnabled = set;
	}

	// Asyn task to hit API

	private class LoginASYNC extends AsyncTask<String, Void, String> {

		@Override
		protected String doInBackground(String... urls) {

			String response = null;
			ArrayList<NameValuePair> params = new ArrayList<NameValuePair>();
			params.add(new BasicNameValuePair("action", ServerUrl.LOGIN_URL));
			response = WebServiceConnection.getData(params, urls[0]);
			System.out.println("Demos Response" + response);
			return response;

		}

		@Override
		protected void onPostExecute(String result) {

		}
	}

}
